tigase.db.jdbc

## Class TigaseAuth

- java.lang.Object
- - tigase.db.jdbc.TigaseAuth

- All Implemented Interfaces:
    AuthRepository, DataSourceAware<DataRepository>, Repository, RepositoryVersionAware

  Deprecated.

      @Deprecated
      public class TigaseAuth
      extends Object
      implements AuthRepository, DataSourceAware<DataRepository>, RepositoryVersionAware

  Describe class TigaseAuth here.
  Created: Sat Nov 11 22:22:04 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.AuthRepository

      `AuthRepository.AccountStatus, AuthRepository.DefaultCredentials, AuthRepository.SingleCredential`

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

    - ### Nested classes/interfaces inherited from interface tigase.db.util.RepositoryVersionAware

      `RepositoryVersionAware.SchemaVersion`

  - ### Field Summary

    - ### Fields inherited from interface tigase.db.AuthRepository

      `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PASSWORD_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY, USERNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TigaseAuth()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(BareJID user, String password)` Deprecated.
    `AuthRepository.AccountStatus` | `getAccountStatus(BareJID user)` Deprecated.
    `String` | `getPassword(BareJID user)` Deprecated.
    `String` | `getResourceUri()` Deprecated. `getResourceUri` method returns database connection string.
    `long` | `getUsersCount()` Deprecated. `getUsersCount` method is thread safe.
    `long` | `getUsersCount(String domain)` Deprecated. This method is only used by the server statistics component to report number of registered users for given domain.
    `void` | `initRepository(String connection_str, Map<String,String> params)` Deprecated.
    `boolean` | `isUserDisabled(BareJID user)` Deprecated.
    `void` | `loggedIn(BareJID user)` Deprecated. Do some actions on repository, when user logs in.
    `void` | `logout(BareJID user)` Deprecated.
    `boolean` | `otherAuth(Map<String,Object> props)` Deprecated.
    `void` | `queryAuth(Map<String,Object> authProps)` Deprecated. `queryAuth` returns mechanisms available for authentication.
    `void` | `removeUser(BareJID user)` Deprecated.
    `void` | `setAccountStatus(BareJID user, AuthRepository.AccountStatus status)` Deprecated.
    `void` | `setDataSource(DataRepository dataSource)` Deprecated. Method called to provide class with instance of a data source.
    `void` | `setUserDisabled(BareJID user, Boolean value)` Deprecated.
    `void` | `updatePassword(BareJID user, String password)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.AuthRepository

      `getCredentials, getUsernames, isMechanismSupported, removeCredential, setCredentialsCodecs, updateCredential`

    - ### Methods inherited from interface tigase.db.util.RepositoryVersionAware

      `getVersion, updateSchema`

- - ### Constructor Detail

    - #### TigaseAuth

          public TigaseAuth()

      Deprecated.

  - ### Method Detail

    - #### addUser

          public void addUser(BareJID user,
                              String password)
                       throws UserExistsException,
                              TigaseDBException

      Deprecated.
      Specified by:
        `addUser` in interface `AuthRepository`
      Throws:
        `UserExistsException`
        `TigaseDBException`

    - #### getResourceUri

          public String getResourceUri()

      Deprecated.
      Description copied from interface: `AuthRepository`
      `getResourceUri` method returns database connection string.
      Specified by:
        `getResourceUri` in interface `AuthRepository`
      Returns:
        a `String` value of database connection string.

    - #### getUsersCount

          public long getUsersCount()

      Deprecated.
      `getUsersCount` method is thread safe. It uses local variable for storing `Statement`.
      Specified by:
        `getUsersCount` in interface `AuthRepository`
      Returns:
        a `long` number of user accounts in database.

    - #### getUsersCount

          public long getUsersCount(String domain)

      Deprecated.
      Description copied from interface: `AuthRepository`
      This method is only used by the server statistics component to report number of registered users for given domain.
      Specified by:
        `getUsersCount` in interface `AuthRepository`
      Parameters:
        `domain` - for which get the statistics
      Returns:
        a `long` number of registered users in the repository.

    - #### setDataSource

          public void setDataSource(DataRepository dataSource)
                             throws DBInitException

      Deprecated.
      Description copied from interface: `DataSourceAware`
      Method called to provide class with instance of a data source.
      Specified by:
        `setDataSource` in interface `DataSourceAware<DataRepository>`
      Throws:
        `DBInitException`

    - #### initRepository

          @Deprecated
          public void initRepository(String connection_str,
                                                 Map<String,String> params)
                                          throws DBInitException

      Deprecated.
      Description copied from interface: `Repository`
      Method is deprecated and should not be user any more.
      The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
      Specified by:
        `initRepository` in interface `Repository`
      Parameters:
        `connection_str` - value in most cases representing the database connection string.
        `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
      Throws:
        `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

    - #### logout

          public void logout(BareJID user)
                      throws UserNotFoundException,
                             TigaseDBException

      Deprecated.
      Specified by:
        `logout` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### loggedIn

          public void loggedIn(BareJID user)
                        throws TigaseDBException

      Deprecated.
      Description copied from interface: `AuthRepository`
      Do some actions on repository, when user logs in. (for example update `last_login_time`)
      Specified by:
        `loggedIn` in interface `AuthRepository`
      Parameters:
        `user` - JID of logged user.
      Throws:
        `TigaseDBException` - if an error occurs

    - #### otherAuth

          public boolean otherAuth(Map<String,Object> props)
                            throws UserNotFoundException,
                                   TigaseDBException,
                                   AuthorizationException

      Deprecated.
      Specified by:
        `otherAuth` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`
        `AuthorizationException`

    - #### queryAuth

          public void queryAuth(Map<String,Object> authProps)

      Deprecated.
      Description copied from interface: `AuthRepository`
      `queryAuth` returns mechanisms available for authentication.
      Specified by:
        `queryAuth` in interface `AuthRepository`
      Parameters:
        `authProps` - a `Map` value with parameters for authentication.

    - #### removeUser

          public void removeUser(BareJID user)
                          throws UserNotFoundException,
                                 TigaseDBException

      Deprecated.
      Specified by:
        `removeUser` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### updatePassword

          public void updatePassword(BareJID user,
                                     String password)
                              throws UserNotFoundException,
                                     TigaseDBException

      Deprecated.
      Specified by:
        `updatePassword` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### getPassword

          public String getPassword(BareJID user)
                             throws UserNotFoundException,
                                    TigaseDBException

      Deprecated.
      Specified by:
        `getPassword` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### isUserDisabled

          public boolean isUserDisabled(BareJID user)
                                 throws UserNotFoundException,
                                        TigaseDBException

      Deprecated.
      Specified by:
        `isUserDisabled` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### setUserDisabled

          public void setUserDisabled(BareJID user,
                                      Boolean value)
                               throws UserNotFoundException,
                                      TigaseDBException

      Deprecated.
      Specified by:
        `setUserDisabled` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### setAccountStatus

          public void setAccountStatus(BareJID user,
                                       AuthRepository.AccountStatus status)
                                throws TigaseDBException

      Deprecated.
      Specified by:
        `setAccountStatus` in interface `AuthRepository`
      Throws:
        `TigaseDBException`

    - #### getAccountStatus

          public AuthRepository.AccountStatus getAccountStatus(BareJID user)
                                                        throws TigaseDBException

      Deprecated.
      Specified by:
        `getAccountStatus` in interface `AuthRepository`
      Throws:
        `TigaseDBException`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.